Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env.servlet
Class ServletContextResolver

    java.lang.Object
      org.apache.commons.scxml.env.servlet.ServletContextResolver

All Implemented Interfaces:
  PathResolver

public class ServletContextResolver
extends Object
implements PathResolver

A wrapper around ServletContext that implements PathResolver.

See Also:
  `PathResolver`

Constructor Summary
`ServletContextResolver(javax.servlet.ServletContext ctx)` Constructor.

Method Summary
`PathResolver` | `getResolver(String ctxPath)` Retrieve the PathResolver rooted at the given path.
`String` | `resolvePath(String ctxPath)` Delegates to the underlying ServletContext's getRealPath(String).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextResolver

    public ServletContextResolver(javax.servlet.ServletContext ctx)

  Constructor.

Parameters:
  `ctx` - The ServletContext instance for this web application.

Method Detail

### resolvePath

    public String resolvePath(String ctxPath)

  Delegates to the underlying ServletContext's getRealPath(String).

  Specified by:
    `resolvePath` in interface `PathResolver`
  Parameters:
    `ctxPath` - context sensitive path, can be a relative URL
  Returns:
    resolved path (an absolute URL) or `null`
  See Also:
    `PathResolver.resolvePath(java.lang.String)`

### getResolver

    public PathResolver getResolver(String ctxPath)

  Retrieve the PathResolver rooted at the given path.

  Specified by:
    `getResolver` in interface `PathResolver`
  Parameters:
    `ctxPath` - context sensitive path, can be a relative URL
  Returns:
    returns a new resolver rooted at ctxPath
  See Also:
    `PathResolver.getResolver(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.